//! Definition of file formats, listed in alphabetical order.

formats! {
    format = Abiword
    name = "AbiWord"
    short_name = "ABW"
    media_type = "application/x-abiword"
    extension = "abw"
    kind = Document

    format = AbiwordTemplate
    name = "AbiWord Template"
    short_name = "AWT"
    media_type = "application/x-abiword-template"
    extension = "awt"
    kind = Document

    format = Ace
    name = "ACE"
    media_type = "application/x-ace-compressed"
    extension = "ace"
    kind = Archive

    format = ActionsMediaVideo
    name = "Actions Media Video"
    short_name = "AMV"
    media_type = "video/x-amv"
    extension = "amv"
    kind = Video

    format = Activemime
    name = "ActiveMime"
    short_name = "MSO"
    media_type = "application/x-mso"
    extension = "mso"
    kind = Other

    format = AdaptableScalableTextureCompression
    name = "Adaptable Scalable Texture Compression"
    short_name = "ASTC"
    media_type = "image/x-astc"
    extension = "astc"
    kind = Image

    format = AdaptiveMultiRate
    name = "Adaptive Multi-Rate"
    short_name = "AMR"
    media_type = "audio/amr"
    extension = "amr"
    kind = Audio

    format = AdditiveManufacturingFormat
    name = "Additive Manufacturing Format"
    short_name = "AMF"
    media_type = "application/x-amf"
    extension = "amf"
    kind = Model

    format = AdobeIllustratorArtwork
    name = "Adobe Illustrator Artwork"
    short_name = "AI"
    media_type = "application/vnd.adobe.illustrator"
    extension = "ai"
    kind = Image

    format = AdobeIndesignDocument
    name = "Adobe InDesign Document"
    short_name = "INDD"
    media_type = "application/x-indesign"
    extension = "indd"
    kind = Document

    format = AdobeIntegratedRuntime
    name = "Adobe Integrated Runtime"
    short_name = "AIR"
    media_type = "application/vnd.adobe.air-application-installer-package+zip"
    extension = "air"
    kind = Package

    format = AdobePhotoshopDocument
    name = "Adobe Photoshop Document"
    short_name = "PSD"
    media_type = "image/vnd.adobe.photoshop"
    extension = "psd"
    kind = Image

    format = AdvancedAudioCoding
    name = "Advanced Audio Coding"
    short_name = "AAC"
    media_type = "audio/aac"
    extension = "aac"
    kind = Audio

    format = AdvancedStreamRedirector
    name = "Advanced Stream Redirector"
    short_name = "ASX"
    media_type = "video/x-ms-asx"
    extension = "asx"
    kind = Playlist

    format = AdvancedSystemsFormat
    name = "Advanced Systems Format"
    short_name = "ASF"
    media_type = "application/vnd.ms-asf"
    extension = "asf"
    kind = Other

    format = AgeEncryption
    name = "age encryption"
    media_type = "application/x-age-encryption"
    extension = "age"
    kind = Other

    format = Alz
    name = "ALZ"
    media_type = "application/x-alz-compressed"
    extension = "alz"
    kind = Archive

    format = AmigaDiskFile
    name = "Amiga Disk File"
    short_name = "ADF"
    media_type = "application/x-amiga-disk-format"
    extension = "adf"
    kind = Disk

    format = AndroidAppBundle
    name = "Android App Bundle"
    short_name = "AAB"
    media_type = "application/vnd.android.aab"
    extension = "aab"
    kind = Package

    format = AndroidBinaryXml
    name = "Android Binary XML"
    short_name = "AXML"
    media_type = "application/vnd.android.axml"
    extension = "xml"
    kind = Metadata

    format = AndroidPackage
    name = "Android Package"
    short_name = "APK"
    media_type = "application/vnd.android.package-archive"
    extension = "apk"
    kind = Package

    format = AndroidResourceStorageContainer
    name = "Android Resource Storage Container"
    short_name = "ARSC"
    media_type = "application/vnd.android.arsc"
    extension = "arsc"
    kind = Other

    format = AnimatedPortableNetworkGraphics
    name = "Animated Portable Network Graphics"
    short_name = "APNG"
    media_type = "image/apng"
    extension = "apng"
    kind = Image

    format = ApacheArrowColumnar
    name = "Apache Arrow Columnar"
    short_name = "Arrow"
    media_type = "application/vnd.apache.arrow.file"
    extension = "arrow"
    kind = Other

    format = ApacheAvro
    name = "Apache Avro"
    short_name = "Avro"
    media_type = "application/vnd.apache.avro"
    extension = "avro"
    kind = Other

    format = ApacheParquet
    name = "Apache Parquet"
    short_name = "Parquet"
    media_type = "application/vnd.apache.parquet"
    extension = "parquet"
    kind = Other

    format = Appimage
    name = "AppImage"
    media_type = "application/x-appimage"
    extension = "AppImage"
    kind = Package

    format = AppleDiskImage
    name = "Apple Disk Image"
    short_name = "DMG"
    media_type = "application/x-apple-diskimage"
    extension = "dmg"
    kind = Disk

    format = AppleIconImage
    name = "Apple Icon Image"
    short_name = "ICNS"
    media_type = "image/x-icns"
    extension = "icns"
    kind = Image

    format = AppleItunesAudio
    name = "Apple iTunes Audio"
    short_name = "M4A"
    media_type = "audio/x-m4a"
    extension = "m4a"
    kind = Audio

    format = AppleItunesAudiobook
    name = "Apple iTunes Audiobook"
    short_name = "M4B"
    media_type = "audio/mp4"
    extension = "m4b"
    kind = Audio

    format = AppleItunesProtectedAudio
    name = "Apple iTunes Protected Audio"
    short_name = "M4P"
    media_type = "audio/mp4"
    extension = "m4p"
    kind = Audio

    format = AppleItunesVideo
    name = "Apple iTunes Video"
    short_name = "M4V"
    media_type = "video/x-m4v"
    extension = "m4v"
    kind = Video

    format = AppleQuicktime
    name = "Apple QuickTime"
    short_name = "MOV"
    media_type = "video/quicktime"
    extension = "mov"
    kind = Video

    format = ArbitraryBinaryData
    name = "Arbitrary Binary Data"
    short_name = "BIN"
    media_type = "application/octet-stream"
    extension = "bin"
    kind = Other

    format = ArchivedByRobertJung
    name = "Archived by Robert Jung"
    short_name = "ARJ"
    media_type = "application/x-arj"
    extension = "arj"
    kind = Archive

    format = Atari7800Rom
    name = "Atari 7800 ROM"
    short_name = "A78"
    media_type = "application/x-atari-7800-rom"
    extension = "a78"
    kind = Rom

    format = Atom
    name = "Atom"
    media_type = "application/atom+xml"
    extension = "atom"
    kind = Other

    format = Au
    name = "Au"
    media_type = "audio/basic"
    extension = "au"
    kind = Audio

    format = AudioCodec3
    name = "Audio Codec 3"
    short_name = "AC-3"
    media_type = "audio/ac3"
    extension = "ac3"
    kind = Audio

    format = AudioInterchangeFileFormat
    name = "Audio Interchange File Format"
    short_name = "AIFF"
    media_type = "audio/x-aiff"
    extension = "aiff"
    kind = Audio

    format = AudioVideoInterleave
    name = "Audio Video Interleave"
    short_name = "AVI"
    media_type = "video/avi"
    extension = "avi"
    kind = Video

    format = AudioVisualResearch
    name = "Audio Visual Research"
    short_name = "AVR"
    media_type = "audio/x-avr"
    extension = "avr"
    kind = Audio

    format = AutocadDrawing
    name = "AutoCAD Drawing"
    short_name = "DWG"
    media_type = "application/x-dwg"
    extension = "dwg"
    kind = Model

    format = Autodesk123d
    name = "Autodesk 123D"
    short_name = "123DX"
    media_type = "model/x-123dx"
    extension = "123dx"
    kind = Model

    format = AutodeskAlias
    name = "Autodesk Alias"
    short_name = "WIRE"
    media_type = "model/x-wire"
    extension = "wire"
    kind = Model

    format = AutodeskAnimator
    name = "Autodesk Animator"
    short_name = "FLI"
    media_type = "video/x-fli"
    extension = "fli"
    kind = Video

    format = AutodeskAnimatorPro
    name = "Autodesk Animator Pro"
    short_name = "FLC"
    media_type = "video/x-flc"
    extension = "flc"
    kind = Video

    format = AutodeskInventorAssembly
    name = "Autodesk Inventor Assembly"
    short_name = "IAM"
    media_type = "model/x-iam"
    extension = "iam"
    kind = Model

    format = AutodeskInventorDrawing
    name = "Autodesk Inventor Drawing"
    short_name = "IDW"
    media_type = "model/x-idw"
    extension = "idw"
    kind = Model

    format = AutodeskInventorPart
    name = "Autodesk Inventor Part"
    short_name = "IPT"
    media_type = "model/x-ipt"
    extension = "ipt"
    kind = Model

    format = AutodeskInventorPresentation
    name = "Autodesk Inventor Presentation"
    short_name = "IPN"
    media_type = "model/x-ipn"
    extension = "ipn"
    kind = Model

    format = Av1ImageFileFormat
    name = "AV1 Image File Format"
    short_name = "AVIF"
    media_type = "image/avif"
    extension = "avif"
    kind = Image

    format = Av1ImageFileFormatSequence
    name = "AV1 Image File Format Sequence"
    short_name = "AVIFS"
    media_type = "image/avif-sequence"
    extension = "avifs"
    kind = Image

    format = BdavMpeg2TransportStream
    name = "BDAV MPEG-2 Transport Stream"
    short_name = "M2TS"
    media_type = "video/mp2t"
    extension = "m2ts"
    kind = Video

    format = BetterPortableGraphics
    name = "Better Portable Graphics"
    short_name = "BPG"
    media_type = "image/bpg"
    extension = "bpg"
    kind = Image

    format = Bittorrent
    name = "BitTorrent"
    short_name = "Torrent"
    media_type = "application/x-bittorrent"
    extension = "torrent"
    kind = Metadata

    format = Blender
    name = "Blender"
    short_name = "BLEND"
    media_type = "application/x-blender"
    extension = "blend"
    kind = Model

    format = BmfontAscii
    name = "BMFont ASCII"
    short_name = "FNT"
    media_type = "application/x-angelcode-bmfont"
    extension = "fnt"
    kind = Font

    format = BmfontBinary
    name = "BMFont Binary"
    short_name = "FNT"
    media_type = "application/x-angelcode-bmfont"
    extension = "fnt"
    kind = Font

    format = BroadBandEbook
    name = "Broad Band eBook"
    short_name = "BBeB"
    media_type = "application/x-lrf"
    extension = "lrf"
    kind = Ebook

    format = Bzip
    name = "bzip"
    short_name = "BZ"
    media_type = "application/x-bzip"
    extension = "bz"
    kind = Compressed

    format = Bzip2
    name = "bzip2"
    short_name = "BZ2"
    media_type = "application/x-bzip2"
    extension = "bz2"
    kind = Compressed

    format = Bzip3
    name = "BZip3"
    short_name = "BZ3"
    media_type = "application/x-bzip3"
    extension = "bz3"
    kind = Compressed

    format = Cabinet
    name = "Cabinet"
    short_name = "CAB"
    media_type = "application/vnd.ms-cab-compressed"
    extension = "cab"
    kind = Archive

    format = CanonRaw
    name = "Canon Raw"
    short_name = "CRW"
    media_type = "image/x-canon-crw"
    extension = "crw"
    kind = Image

    format = CanonRaw2
    name = "Canon Raw 2"
    short_name = "CR2"
    media_type = "image/x-canon-cr2"
    extension = "cr2"
    kind = Image

    format = CanonRaw3
    name = "Canon Raw 3"
    short_name = "CR3"
    media_type = "image/x-canon-cr3"
    extension = "cr3"
    kind = Image

    format = CdAudio
    name = "CD Audio"
    short_name = "CDA"
    media_type = "application/x-cdf"
    extension = "cda"
    kind = Metadata

    format = Cinema4d
    name = "Cinema 4D"
    short_name = "C4D"
    media_type = "model/x-c4d"
    extension = "c4d"
    kind = Model

    format = Cineon
    name = "Cineon"
    short_name = "CIN"
    media_type = "image/cineon"
    extension = "cin"
    kind = Image

    format = CircuitDiagramDocument
    name = "Circuit Diagram Document"
    short_name = "CDDX"
    media_type = "application/vnd.circuitdiagram.document.main+xml"
    extension = "cddx"
    kind = Diagram

    format = ClojureScript
    name = "Clojure Script"
    media_type = "text/x-clojure"
    extension = "clj"
    kind = Other

    format = CollaborativeDesignActivity
    name = "Collaborative Design Activity"
    short_name = "COLLADA"
    media_type = "model/vnd.collada+xml"
    extension = "dae"
    kind = Model

    format = Commodore64Cartridge
    name = "Commodore 64 Cartridge"
    short_name = "CRT"
    media_type = "application/x-commodore-64-cartridge"
    extension = "crt"
    kind = Rom

    format = Commodore64Program
    name = "Commodore 64 Program"
    short_name = "PRG"
    media_type = "application/x-commodore-64-program"
    extension = "prg"
    kind = Executable

    format = CommonObjectFileFormat
    name = "Common Object File Format"
    short_name = "COFF"
    media_type = "application/x-coff"
    extension = "coff"
    kind = Executable

    format = CompoundFileBinary
    name = "Compound File Binary"
    short_name = "CFB"
    media_type = "application/x-cfb"
    extension = "cfb"
    kind = Other

    format = CorelPresentations
    name = "Corel Presentations"
    short_name = "SHW"
    media_type = "application/x-corelpresentations"
    extension = "shw"
    kind = Presentation

    format = CorelPresentations7
    name = "Corel Presentations 7"
    short_name = "SHW"
    media_type = "application/x-corelpresentations"
    extension = "shw"
    kind = Presentation

    format = Cpio
    name = "cpio"
    media_type = "application/x-cpio"
    extension = "cpio"
    kind = Archive

    format = CreativeVoice
    name = "Creative Voice"
    short_name = "VOC"
    media_type = "audio/x-voc"
    extension = "voc"
    kind = Audio

    format = DalvikExecutable
    name = "Dalvik Executable"
    short_name = "DEX"
    media_type = "application/vnd.android.dex"
    extension = "dex"
    kind = Executable

    format = DebianPackage
    name = "Debian Package"
    short_name = "DEB"
    media_type = "application/vnd.debian.binary-package"
    extension = "deb"
    kind = Package

    format = DerCertificate
    name = "DER Certificate"
    short_name = "DER"
    media_type = "application/x-x509-ca-cert"
    extension = "der"
    kind = Other

    format = DesignWebFormat
    name = "Design Web Format"
    short_name = "DWF"
    media_type = "model/vnd.dwf"
    extension = "dwf"
    kind = Model

    format = DesignWebFormatXps
    name = "Design Web Format XPS"
    short_name = "DWFX"
    media_type = "model/vnd.dwfx+xps"
    extension = "dwfx"
    kind = Model

    format = DigitalImagingAndCommunicationsInMedicine
    name = "Digital Imaging and Communications in Medicine"
    short_name = "DICOM"
    media_type = "application/dicom"
    extension = "dcm"
    kind = Other

    format = DigitalPictureExchange
    name = "Digital Picture Exchange"
    short_name = "DPX"
    media_type = "image/x-dpx"
    extension = "dpx"
    kind = Image

    format = Djvu
    name = "DjVu"
    media_type = "image/vnd.djvu"
    extension = "djvu"
    kind = Document

    format = DrawingExchangeFormatAscii
    name = "Drawing Exchange Format ASCII"
    short_name = "DXF"
    media_type = "application/x-dxf"
    extension = "dxf"
    kind = Model

    format = DrawingExchangeFormatBinary
    name = "Drawing Exchange Format Binary"
    short_name = "DXF"
    media_type = "application/x-dxf"
    extension = "dxf"
    kind = Model

    format = Drawio
    name = "draw.io"
    short_name = "DRAWIO"
    media_type = "application/vnd.jgraph.mxfile"
    extension = "drawio"
    kind = Diagram

    format = DynamicLinkLibrary
    name = "Dynamic Link Library"
    short_name = "DLL"
    media_type = "application/vnd.microsoft.portable-executable"
    extension = "dll"
    kind = Executable

    format = EightBitSampledVoice
    name = "8-Bit Sampled Voice"
    short_name = "8SVX"
    media_type = "audio/x-8svx"
    extension = "8svx"
    kind = Audio

    format = ElectronicPublication
    name = "Electronic Publication"
    short_name = "EPUB"
    media_type = "application/epub+zip"
    extension = "epub"
    kind = Ebook

    format = EmbeddedOpentype
    name = "Embedded OpenType"
    short_name = "EOT"
    media_type = "application/vnd.ms-fontobject"
    extension = "eot"
    kind = Font

    format = Empty
    name = "Empty"
    media_type = "application/x-empty"
    extension = "empty"
    kind = Other

    format = EncapsulatedPostscript
    name = "Encapsulated PostScript"
    short_name = "EPS"
    media_type = "application/eps"
    extension = "eps"
    kind = Image

    format = EnterpriseApplicationArchive
    name = "Enterprise Application Archive"
    short_name = "EAR"
    media_type = "application/java-archive"
    extension = "ear"
    kind = Package

    format = ExecutableAndLinkableFormat
    name = "Executable and Linkable Format"
    short_name = "ELF"
    media_type = "application/x-executable"
    extension = "elf"
    kind = Executable

    format = ExperimentalComputingFacility
    name = "Experimental Computing Facility"
    short_name = "XCF"
    media_type = "image/x-xcf"
    extension = "xcf"
    kind = Image

    format = Extensible3d
    name = "Extensible 3D"
    short_name = "X3D"
    media_type = "model/x3d+xml"
    extension = "x3d"
    kind = Model

    format = ExtensibleArchive
    name = "Extensible Archive"
    short_name = "XAR"
    media_type = "application/x-xar"
    extension = "xar"
    kind = Archive

    format = ExtensibleBinaryMetaLanguage
    name = "Extensible Binary Meta Language"
    short_name = "EBML"
    media_type = "application/x-ebml"
    extension = "ebml"
    kind = Other

    format = ExtensibleMarkupLanguage
    name = "Extensible Markup Language"
    short_name = "XML"
    media_type = "text/xml"
    extension = "xml"
    kind = Other

    format = ExtensibleStylesheetLanguageTransformations
    name = "Extensible Stylesheet Language Transformations"
    short_name = "XSLT"
    media_type = "application/xslt+xml"
    extension = "xsl"
    kind = Other

    format = Farbfeld
    name = "farbfeld"
    short_name = "FF"
    media_type = "image/x-ff"
    extension = "ff"
    kind = Image

    format = Fasttracker2ExtendedModule
    name = "FastTracker 2 Extended Module"
    short_name = "XM"
    media_type = "audio/x-xm"
    extension = "xm"
    kind = Audio

    format = Fictionbook
    name = "FictionBook"
    short_name = "FB2"
    media_type = "application/x-fb2+xml"
    extension = "fb2"
    kind = Ebook

    format = FictionbookZip
    name = "FictionBook ZIP"
    short_name = "FBZ"
    media_type = "application/x-fbz"
    extension = "fbz"
    kind = Ebook

    format = Filmbox
    name = "Filmbox"
    short_name = "FBX"
    media_type = "application/vnd.autodesk.fbx"
    extension = "fbx"
    kind = Model

    format = FlashCs5Project
    name = "Flash CS5 Project"
    short_name = "FLA"
    media_type = "application/vnd.adobe.fla"
    extension = "fla"
    kind = Other

    format = FlashMp4Audio
    name = "Flash MP4 Audio"
    short_name = "F4A"
    media_type = "audio/mp4"
    extension = "f4a"
    kind = Audio

    format = FlashMp4Audiobook
    name = "Flash MP4 Audiobook"
    short_name = "F4B"
    media_type = "audio/mp4"
    extension = "f4b"
    kind = Audio

    format = FlashMp4ProtectedVideo
    name = "Flash MP4 Protected Video"
    short_name = "F4P"
    media_type = "video/mp4"
    extension = "f4p"
    kind = Video

    format = FlashMp4Video
    name = "Flash MP4 Video"
    short_name = "F4V"
    media_type = "video/mp4"
    extension = "f4v"
    kind = Video

    format = FlashProject
    name = "Flash Project"
    short_name = "FLA"
    media_type = "application/vnd.adobe.fla"
    extension = "fla"
    kind = Other

    format = FlashVideo
    name = "Flash Video"
    short_name = "FLV"
    media_type = "video/x-flv"
    extension = "flv"
    kind = Video

    format = FlexibleAndInteroperableDataTransfer
    name = "Flexible and Interoperable Data Transfer"
    short_name = "FIT"
    media_type = "application/x-fit"
    extension = "fit"
    kind = Geospatial

    format = FlexibleImageTransportSystem
    name = "Flexible Image Transport System"
    short_name = "FITS"
    media_type = "application/fits"
    extension = "fits"
    kind = Other

    format = FreeLosslessAudioCodec
    name = "Free Lossless Audio Codec"
    short_name = "FLAC"
    media_type = "audio/x-flac"
    extension = "flac"
    kind = Audio

    format = FreeLosslessImageFormat
    name = "Free Lossless Image Format"
    short_name = "FLIF"
    media_type = "image/flif"
    extension = "flif"
    kind = Image

    format = FujifilmRaw
    name = "Fujifilm Raw"
    short_name = "RAF"
    media_type = "image/x-fuji-raf"
    extension = "raf"
    kind = Image

    format = Fusion360
    name = "Fusion 360"
    short_name = "F3D"
    media_type = "model/x-f3d"
    extension = "f3d"
    kind = Model

    format = GameBoyAdvanceRom
    name = "Game Boy Advance ROM"
    short_name = "GBA"
    media_type = "application/x-gba-rom"
    extension = "gba"
    kind = Rom

    format = GameBoyColorRom
    name = "Game Boy Color ROM"
    short_name = "GBC"
    media_type = "application/x-gameboy-color-rom"
    extension = "gbc"
    kind = Rom

    format = GameBoyRom
    name = "Game Boy ROM"
    short_name = "GB"
    media_type = "application/x-gameboy-rom"
    extension = "gb"
    kind = Rom

    format = GameGearRom
    name = "Game Gear ROM"
    short_name = "GG"
    media_type = "application/x-gamegear-rom"
    extension = "gg"
    kind = Rom

    format = GeographyMarkupLanguage
    name = "Geography Markup Language"
    short_name = "GML"
    media_type = "application/gml+xml"
    extension = "gml"
    kind = Geospatial

    format = GettextMachineObject
    name = "gettext Machine Object"
    short_name = "MO"
    media_type = "application/x-gettext-translation"
    extension = "mo"
    kind = Other

    format = GlTransmissionFormatBinary
    name = "GL Transmission Format Binary"
    short_name = "GLB"
    media_type = "model/gltf-binary"
    extension = "glb"
    kind = Model

    format = Glyphs
    name = "Glyphs"
    media_type = "font/x-glyphs"
    extension = "glyphs"
    kind = Font

    format = GoogleChromeExtension
    name = "Google Chrome Extension"
    short_name = "CRX"
    media_type = "application/x-google-chrome-extension"
    extension = "crx"
    kind = Package

    format = GoogleDraco
    name = "Google Draco"
    short_name = "Draco"
    media_type = "model/x-draco"
    extension = "drc"
    kind = Model

    format = GpsExchangeFormat
    name = "GPS Exchange Format"
    short_name = "GPX"
    media_type = "application/gpx+xml"
    extension = "gpx"
    kind = Geospatial

    format = GraphicsInterchangeFormat
    name = "Graphics Interchange Format"
    short_name = "GIF"
    media_type = "image/gif"
    extension = "gif"
    kind = Image

    format = Gzip
    name = "gzip"
    short_name = "GZ"
    media_type = "application/gzip"
    extension = "gz"
    kind = Compressed

    format = HighEfficiencyImageCoding
    name = "High Efficiency Image Coding"
    short_name = "HEIC"
    media_type = "image/heic"
    extension = "heic"
    kind = Image

    format = HighEfficiencyImageCodingSequence
    name = "High Efficiency Image Coding Sequence"
    short_name = "HEICS"
    media_type = "image/heic-sequence"
    extension = "heics"
    kind = Image

    format = HighEfficiencyImageFileFormat
    name = "High Efficiency Image File Format"
    short_name = "HEIF"
    media_type = "image/heif"
    extension = "heif"
    kind = Image

    format = HighEfficiencyImageFileFormatSequence
    name = "High Efficiency Image File Format Sequence"
    short_name = "HEIFS"
    media_type = "image/heif-sequence"
    extension = "heifs"
    kind = Image

    format = HypertextMarkupLanguage
    name = "HyperText Markup Language"
    short_name = "HTML"
    media_type = "text/html"
    extension = "html"
    kind = Other

    format = Icalendar
    name = "iCalendar"
    short_name = "ICS"
    media_type = "text/calendar"
    extension = "ics"
    kind = Other

    format = IccProfile
    name = "ICC Profile"
    short_name = "ICC"
    media_type = "application/vnd.iccprofile"
    extension = "icc"
    kind = Other

    format = ImpulseTrackerModule
    name = "Impulse Tracker Module"
    short_name = "IT"
    media_type = "audio/x-it"
    extension = "it"
    kind = Audio

    format = IndesignMarkupLanguage
    name = "InDesign Markup Language"
    short_name = "IDML"
    media_type = "application/vnd.adobe.indesign-idml-package"
    extension = "idml"
    kind = Document

    format = InitialGraphicsExchangeSpecification
    name = "Initial Graphics Exchange Specification"
    short_name = "IGES"
    media_type = "model/iges"
    extension = "iges"
    kind = Model

    format = InterQuakeExport
    name = "Inter-Quake Export"
    short_name = "IQE"
    media_type = "model/x-iqe"
    extension = "iqe"
    kind = Model

    format = InterQuakeModel
    name = "Inter-Quake Model"
    short_name = "IQM"
    media_type = "model/x-iqm"
    extension = "iqm"
    kind = Model

    format = IosAppStorePackage
    name = "iOS App Store Package"
    short_name = "IPA"
    media_type = "application/x-ios-app"
    extension = "ipa"
    kind = Package

    format = Iso9660
    name = "ISO 9660"
    short_name = "ISO"
    media_type = "application/x-iso9660-image"
    extension = "iso"
    kind = Disk

    format = JavaArchive
    name = "Java Archive"
    short_name = "JAR"
    media_type = "application/java-archive"
    extension = "jar"
    kind = Package

    format = JavaClass
    name = "Java Class"
    media_type = "application/java-vm"
    extension = "class"
    kind = Executable

    format = JavaKeystore
    name = "Java KeyStore"
    short_name = "JKS"
    media_type = "application/x-java-keystore"
    extension = "jks"
    kind = Other

    format = JointPhotographicExpertsGroup
    name = "Joint Photographic Experts Group"
    short_name = "JPEG"
    media_type = "image/jpeg"
    extension = "jpg"
    kind = Image

    format = Jpeg2000Codestream
    name = "JPEG 2000 Codestream"
    short_name = "J2C"
    media_type = "image/x-jp2-codestream"
    extension = "j2c"
    kind = Image

    format = Jpeg2000Part1
    name = "JPEG 2000 Part 1"
    short_name = "JP2"
    media_type = "image/jp2"
    extension = "jp2"
    kind = Image

    format = Jpeg2000Part2
    name = "JPEG 2000 Part 2"
    short_name = "JPX"
    media_type = "image/jpx"
    extension = "jpx"
    kind = Image

    format = Jpeg2000Part3
    name = "JPEG 2000 Part 3"
    short_name = "MJ2"
    media_type = "video/mj2"
    extension = "mj2"
    kind = Video

    format = Jpeg2000Part6
    name = "JPEG 2000 Part 6"
    short_name = "JPM"
    media_type = "image/jpm"
    extension = "jpm"
    kind = Image

    format = JpegExtendedRange
    name = "JPEG Extended Range"
    short_name = "JXR"
    media_type = "image/jxr"
    extension = "jxr"
    kind = Image

    format = JpegLs
    name = "JPEG-LS"
    short_name = "JLS"
    media_type = "image/jls"
    extension = "jls"
    kind = Image

    format = JpegNetworkGraphics
    name = "JPEG Network Graphics"
    short_name = "JNG"
    media_type = "image/x-jng"
    extension = "jng"
    kind = Image

    format = JpegXl
    name = "JPEG XL"
    short_name = "JXL"
    media_type = "image/jxl"
    extension = "jxl"
    kind = Image

    format = JsonFeed
    name = "JSON Feed"
    media_type = "application/feed+json"
    extension = "json"
    kind = Other

    format = KeyholeMarkupLanguage
    name = "Keyhole Markup Language"
    short_name = "KML"
    media_type = "application/vnd.google-earth.kml+xml"
    extension = "kml"
    kind = Geospatial

    format = KeyholeMarkupLanguageZip
    name = "Keyhole Markup Language ZIP"
    short_name = "KMZ"
    media_type = "application/vnd.google-earth.kmz"
    extension = "kmz"
    kind = Geospatial

    format = KhronosTexture
    name = "Khronos Texture"
    short_name = "KTX"
    media_type = "image/ktx"
    extension = "ktx"
    kind = Image

    format = KhronosTexture2
    name = "Khronos Texture 2"
    short_name = "KTX2"
    media_type = "image/ktx2"
    extension = "ktx2"
    kind = Image

    format = Larc
    name = "LArc"
    short_name = "LZS"
    media_type = "application/x-lzh-compressed"
    extension = "lzs"
    kind = Archive

    format = Latex
    name = "LaTeX"
    short_name = "TeX"
    media_type = "text/x-tex"
    extension = "tex"
    kind = Document

    format = LempelZivFiniteStateEntropy
    name = "Lempel-Ziv Finite State Entropy"
    short_name = "LZFSE"
    media_type = "application/x-lzfse"
    extension = "lzfse"
    kind = Compressed

    format = LempelZivMarkovChainAlgorithm
    name = "Lempel-Ziv-Markov chain algorithm"
    short_name = "LZMA"
    media_type = "application/x-lzma"
    extension = "lzma"
    kind = Compressed

    format = Lha
    name = "LHA"
    media_type = "application/x-lzh-compressed"
    extension = "lzh"
    kind = Archive

    format = LinearExecutable
    name = "Linear Executable"
    short_name = "LE"
    media_type = "application/x-dosexec"
    extension = "exe"
    kind = Executable

    format = LlvmBitcode
    name = "LLVM Bitcode"
    short_name = "BC"
    media_type = "application/x-llvm"
    extension = "bc"
    kind = Executable

    format = LongRangeZip
    name = "Long Range ZIP"
    short_name = "LRZIP"
    media_type = "application/x-lrzip"
    extension = "lrz"
    kind = Compressed

    format = LuaBytecode
    name = "Lua Bytecode"
    media_type = "application/x-lua-bytecode"
    extension = "luac"
    kind = Executable

    format = LuaScript
    name = "Lua Script"
    media_type = "text/x-lua"
    extension = "lua"
    kind = Other

    format = Lz4
    name = "LZ4"
    media_type = "application/x-lz4"
    extension = "lz4"
    kind = Compressed

    format = Lzip
    name = "lzip"
    short_name = "LZ"
    media_type = "application/x-lzip"
    extension = "lz"
    kind = Compressed

    format = Lzop
    name = "lzop"
    short_name = "LZO"
    media_type = "application/x-lzop"
    extension = "lzo"
    kind = Compressed

    format = MachO
    name = "Mach-O"
    media_type = "application/x-mach-binary"
    extension = "mach"
    kind = Executable

    format = MacosAlias
    name = "macOS Alias"
    media_type = "application/x-apple-alias"
    extension = "alias"
    kind = Metadata

    format = Magicavoxel
    name = "MagicaVoxel"
    short_name = "VOX"
    media_type = "model/x-vox"
    extension = "vox"
    kind = Model

    format = MagickImageFileFormat
    name = "Magick Image File Format"
    short_name = "MIFF"
    media_type = "image/x-miff"
    extension = "miff"
    kind = Image

    format = MaterialExchangeFormat
    name = "Material Exchange Format"
    short_name = "MXF"
    media_type = "application/mxf"
    extension = "mxf"
    kind = Video

    format = MathematicalMarkupLanguage
    name = "Mathematical Markup Language"
    short_name = "MathML"
    media_type = "application/mathml+xml"
    extension = "mathml"
    kind = Formula

    format = Matroska3dVideo
    name = "Matroska 3D Video"
    short_name = "MK3D"
    media_type = "video/x-matroska"
    extension = "mk3d"
    kind = Video

    format = MatroskaAudio
    name = "Matroska Audio"
    short_name = "MKA"
    media_type = "audio/x-matroska"
    extension = "mka"
    kind = Audio

    format = MatroskaSubtitles
    name = "Matroska Subtitles"
    short_name = "MKS"
    media_type = "application/x-matroska"
    extension = "mks"
    kind = Subtitle

    format = MatroskaVideo
    name = "Matroska Video"
    short_name = "MKV"
    media_type = "video/x-matroska"
    extension = "mkv"
    kind = Video

    format = MayaAscii
    name = "Maya ASCII"
    short_name = "MA"
    media_type = "application/x-maya-ascii"
    extension = "ma"
    kind = Model

    format = MayaBinary
    name = "Maya Binary"
    short_name = "MB"
    media_type = "application/x-maya-binary"
    extension = "mb"
    kind = Model

    format = MegaDriveRom
    name = "Mega Drive ROM"
    short_name = "MD"
    media_type = "application/x-genesis-rom"
    extension = "md"
    kind = Rom

    format = MetaInformationEncapsulation
    name = "Meta Information Encapsulation"
    short_name = "MIE"
    media_type = "application/x-mie"
    extension = "mie"
    kind = Metadata

    format = MicrosoftAccess2007Database
    name = "Microsoft Access 2007 Database"
    short_name = "ACCDB"
    media_type = "application/x-msaccess"
    extension = "accdb"
    kind = Database

    format = MicrosoftAccessDatabase
    name = "Microsoft Access Database"
    short_name = "MDB"
    media_type = "application/x-msaccess"
    extension = "mdb"
    kind = Database

    format = MicrosoftCompiledHtmlHelp
    name = "Microsoft Compiled HTML Help"
    short_name = "CHM"
    media_type = "application/vnd.ms-htmlhelp"
    extension = "chm"
    kind = Other

    format = MicrosoftDigitalVideoRecording
    name = "Microsoft Digital Video Recording"
    short_name = "DVR-MS"
    media_type = "video/x-ms-asf"
    extension = "dvr-ms"
    kind = Video

    format = MicrosoftDirectdrawSurface
    name = "Microsoft DirectDraw Surface"
    short_name = "DDS"
    media_type = "image/vnd.ms-dds"
    extension = "dds"
    kind = Image

    format = MicrosoftExcelSpreadsheet
    name = "Microsoft Excel Spreadsheet"
    short_name = "XLS"
    media_type = "application/vnd.ms-excel"
    extension = "xls"
    kind = Spreadsheet

    format = MicrosoftPowerpointPresentation
    name = "Microsoft PowerPoint Presentation"
    short_name = "PPT"
    media_type = "application/vnd.ms-powerpoint"
    extension = "ppt"
    kind = Presentation

    format = MicrosoftProjectPlan
    name = "Microsoft Project Plan"
    short_name = "MPP"
    media_type = "application/vnd.ms-project"
    extension = "mpp"
    kind = Other

    format = MicrosoftPublisherDocument
    name = "Microsoft Publisher Document"
    short_name = "PUB"
    media_type = "application/vnd.ms-publisher"
    extension = "pub"
    kind = Document

    format = MicrosoftReader
    name = "Microsoft Reader"
    short_name = "LIT"
    media_type = "application/x-ms-reader"
    extension = "lit"
    kind = Ebook

    format = MicrosoftSoftwareInstaller
    name = "Microsoft Software Installer"
    short_name = "MSI"
    media_type = "application/x-msi"
    extension = "msi"
    kind = Package

    format = MicrosoftVirtualHardDisk
    name = "Microsoft Virtual Hard Disk"
    short_name = "VHD"
    media_type = "application/x-vhd"
    extension = "vhd"
    kind = Disk

    format = MicrosoftVirtualHardDisk2
    name = "Microsoft Virtual Hard Disk 2"
    short_name = "VHDX"
    media_type = "application/x-vhdx"
    extension = "vhdx"
    kind = Disk

    format = MicrosoftVisioDrawing
    name = "Microsoft Visio Drawing"
    short_name = "VSD"
    media_type = "application/vnd.visio"
    extension = "vsd"
    kind = Diagram

    format = MicrosoftVisualStudioExtension
    name = "Microsoft Visual Studio Extension"
    short_name = "VSIX"
    media_type = "application/vsix"
    extension = "vsix"
    kind = Package

    format = MicrosoftVisualStudioSolution
    name = "Microsoft Visual Studio Solution"
    short_name = "SLN"
    media_type = "application/vnd.ms-developer"
    extension = "sln"
    kind = Other

    format = MicrosoftWordDocument
    name = "Microsoft Word Document"
    short_name = "DOC"
    media_type = "application/msword"
    extension = "doc"
    kind = Document

    format = MicrosoftWorks6Spreadsheet
    name = "Microsoft Works 6 Spreadsheet"
    short_name = "XLR"
    media_type = "application/vnd.ms-works"
    extension = "xlr"
    kind = Spreadsheet

    format = MicrosoftWorksDatabase
    name = "Microsoft Works Database"
    short_name = "WDB"
    media_type = "application/vnd.ms-works-db"
    extension = "wdb"
    kind = Database

    format = MicrosoftWorksSpreadsheet
    name = "Microsoft Works Spreadsheet"
    short_name = "WKS"
    media_type = "application/vnd.ms-works"
    extension = "wks"
    kind = Spreadsheet

    format = MicrosoftWorksWordProcessor
    name = "Microsoft Works Word Processor"
    short_name = "WPS"
    media_type = "application/vnd.ms-works"
    extension = "wps"
    kind = Document

    format = MicrosoftWrite
    name = "Microsoft Write"
    short_name = "WRI"
    media_type = "application/x-mswrite"
    extension = "wri"
    kind = Document

    format = Mobipocket
    name = "Mobipocket"
    short_name = "MOBI"
    media_type = "application/x-mobipocket-ebook"
    extension = "mobi"
    kind = Ebook

    format = Model3dAscii
    name = "Model 3D ASCII"
    short_name = "A3D"
    media_type = "text/x-3d-model"
    extension = "a3d"
    kind = Model

    format = Model3dBinary
    name = "Model 3D Binary"
    short_name = "M3D"
    media_type = "model/x-3d-model"
    extension = "m3d"
    kind = Model

    format = MonkeysAudio
    name = "Monkey's Audio"
    short_name = "APE"
    media_type = "audio/x-ape"
    extension = "ape"
    kind = Audio

    format = MozillaArchive
    name = "Mozilla Archive"
    short_name = "MAR"
    media_type = "application/x-mozilla-archive"
    extension = "mar"
    kind = Archive

    format = Mp3Url
    name = "MP3 URL"
    short_name = "M3U"
    media_type = "audio/x-mpegurl"
    extension = "m3u"
    kind = Playlist

    format = Mpeg12AudioLayer2
    name = "MPEG-1/2 Audio Layer 2"
    short_name = "MP2"
    media_type = "audio/mpeg"
    extension = "mp2"
    kind = Audio

    format = Mpeg12AudioLayer3
    name = "MPEG-1/2 Audio Layer 3"
    short_name = "MP3"
    media_type = "audio/mpeg"
    extension = "mp3"
    kind = Audio

    format = Mpeg12Video
    name = "MPEG-1/2 Video"
    short_name = "MPG"
    media_type = "video/mpeg"
    extension = "mpg"
    kind = Video

    format = Mpeg2TransportStream
    name = "MPEG-2 Transport Stream"
    short_name = "TS"
    media_type = "video/mp2t"
    extension = "ts"
    kind = Video

    format = Mpeg4Part14
    name = "MPEG-4 Part 14"
    short_name = "MP4"
    media_type = "application/mp4"
    extension = "mp4"
    kind = Other

    format = Mpeg4Part14Audio
    name = "MPEG-4 Part 14 Audio"
    short_name = "MP4"
    media_type = "audio/mp4"
    extension = "mp4"
    kind = Audio

    format = Mpeg4Part14Subtitles
    name = "MPEG-4 Part 14 Subtitles"
    short_name = "MP4"
    media_type = "application/mp4"
    extension = "mp4"
    kind = Subtitle

    format = Mpeg4Part14Video
    name = "MPEG-4 Part 14 Video"
    short_name = "MP4"
    media_type = "video/mp4"
    extension = "mp4"
    kind = Video

    format = MpegDashMpd
    name = "MPEG-DASH MPD"
    short_name = "MPD"
    media_type = "application/dash+xml"
    extension = "mpd"
    kind = Playlist

    format = MsDosBatch
    name = "MS-DOS Batch"
    short_name = "Batch"
    media_type = "text/x-msdos-batch"
    extension = "bat"
    kind = Other

    format = MsDosExecutable
    name = "MS-DOS Executable"
    short_name = "EXE"
    media_type = "application/x-dosexec"
    extension = "exe"
    kind = Executable

    format = Mtv
    name = "MTV"
    media_type = "video/x-mtv"
    extension = "mtv"
    kind = Video

    format = MultiLayerArchive
    name = "Multi Layer Archive"
    short_name = "MLA"
    media_type = "application/x-mla"
    extension = "mla"
    kind = Archive

    format = MultipleImageNetworkGraphics
    name = "Multiple-image Network Graphics"
    short_name = "MNG"
    media_type = "image/x-mng"
    extension = "mng"
    kind = Image

    format = Musepack
    name = "Musepack"
    short_name = "MPC"
    media_type = "audio/x-musepack"
    extension = "mpc"
    kind = Audio

    format = MusicalInstrumentDigitalInterface
    name = "Musical Instrument Digital Interface"
    short_name = "MIDI"
    media_type = "audio/midi"
    extension = "mid"
    kind = Audio

    format = Musicxml
    name = "MusicXML"
    media_type = "application/vnd.recordare.musicxml+xml"
    extension = "musicxml"
    kind = Other

    format = MusicxmlZip
    name = "MusicXML ZIP"
    short_name = "MXL"
    media_type = "application/vnd.recordare.musicxml"
    extension = "mxl"
    kind = Other

    format = NeoGeoPocketColorRom
    name = "Neo Geo Pocket Color ROM"
    short_name = "NGC"
    media_type = "application/x-neo-geo-pocket-rom"
    extension = "ngc"
    kind = Rom

    format = NeoGeoPocketRom
    name = "Neo Geo Pocket ROM"
    short_name = "NGP"
    media_type = "application/x-neo-geo-pocket-rom"
    extension = "ngp"
    kind = Rom

    format = NewExecutable
    name = "New Executable"
    short_name = "NE"
    media_type = "application/x-ms-ne-executable"
    extension = "exe"
    kind = Executable

    format = NikonElectronicFile
    name = "Nikon Electronic File"
    short_name = "NEF"
    media_type = "image/x-nikon-nef"
    extension = "nef"
    kind = Image

    format = Nintendo64Rom
    name = "Nintendo 64 ROM"
    short_name = "Z64"
    media_type = "application/x-n64-rom"
    extension = "z64"
    kind = Rom

    format = NintendoDsRom
    name = "Nintendo DS ROM"
    short_name = "NDS"
    media_type = "application/x-nintendo-ds-rom"
    extension = "nds"
    kind = Rom

    format = NintendoEntertainmentSystemRom
    name = "Nintendo Entertainment System ROM"
    short_name = "NES"
    media_type = "application/x-nintendo-nes-rom"
    extension = "nes"
    kind = Rom

    format = NintendoSwitchExecutable
    name = "Nintendo Switch Executable"
    short_name = "NSO"
    media_type = "application/x-nintendo-switch-executable"
    extension = "nso"
    kind = Executable

    format = NintendoSwitchPackage
    name = "Nintendo Switch Package"
    short_name = "NSP"
    media_type = "application/x-nintendo-switch-package"
    extension = "nsp"
    kind = Package

    format = NintendoSwitchRom
    name = "Nintendo Switch ROM"
    short_name = "XCI"
    media_type = "application/x-nintendo-switch-rom"
    extension = "xci"
    kind = Rom

    format = OfficeOpenXmlDocument
    name = "Office Open XML Document"
    short_name = "DOCX"
    media_type = "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
    extension = "docx"
    kind = Document

    format = OfficeOpenXmlDrawing
    name = "Office Open XML Drawing"
    short_name = "VSDX"
    media_type = "application/vnd.ms-visio.drawing.main+xml"
    extension = "vsdx"
    kind = Diagram

    format = OfficeOpenXmlPresentation
    name = "Office Open XML Presentation"
    short_name = "PPTX"
    media_type = "application/vnd.openxmlformats-officedocument.presentationml.presentation"
    extension = "pptx"
    kind = Presentation

    format = OfficeOpenXmlSpreadsheet
    name = "Office Open XML Spreadsheet"
    short_name = "XLSX"
    media_type = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    extension = "xlsx"
    kind = Spreadsheet

    format = OggFlac
    name = "Ogg FLAC"
    short_name = "OGA"
    media_type = "audio/ogg"
    extension = "oga"
    kind = Audio

    format = OggMedia
    name = "Ogg Media"
    short_name = "OGM"
    media_type = "video/ogg"
    extension = "ogm"
    kind = Video

    format = OggMultiplexedMedia
    name = "Ogg Multiplexed Media"
    short_name = "OGX"
    media_type = "application/ogg"
    extension = "ogx"
    kind = Other

    format = OggOpus
    name = "Ogg Opus"
    short_name = "Opus"
    media_type = "audio/opus"
    extension = "opus"
    kind = Audio

    format = OggSpeex
    name = "Ogg Speex"
    short_name = "Speex"
    media_type = "audio/ogg"
    extension = "spx"
    kind = Audio

    format = OggTheora
    name = "Ogg Theora"
    short_name = "Theora"
    media_type = "video/ogg"
    extension = "ogv"
    kind = Video

    format = OggVorbis
    name = "Ogg Vorbis"
    short_name = "Vorbis"
    media_type = "audio/ogg"
    extension = "ogg"
    kind = Audio

    format = OlympusRawFormat
    name = "Olympus Raw Format"
    short_name = "ORF"
    media_type = "image/x-olympus-orf"
    extension = "orf"
    kind = Image

    format = OpendocumentDatabase
    name = "OpenDocument Database"
    short_name = "ODB"
    media_type = "application/vnd.oasis.opendocument.database"
    extension = "odb"
    kind = Database

    format = OpendocumentFormula
    name = "OpenDocument Formula"
    short_name = "ODF"
    media_type = "application/vnd.oasis.opendocument.formula"
    extension = "odf"
    kind = Formula

    format = OpendocumentFormulaTemplate
    name = "OpenDocument Formula Template"
    short_name = "OTF"
    media_type = "application/vnd.oasis.opendocument.formula-template"
    extension = "otf"
    kind = Formula

    format = OpendocumentGraphics
    name = "OpenDocument Graphics"
    short_name = "ODG"
    media_type = "application/vnd.oasis.opendocument.graphics"
    extension = "odg"
    kind = Image

    format = OpendocumentGraphicsTemplate
    name = "OpenDocument Graphics Template"
    short_name = "OTG"
    media_type = "application/vnd.oasis.opendocument.graphics-template"
    extension = "otg"
    kind = Image

    format = OpendocumentPresentation
    name = "OpenDocument Presentation"
    short_name = "ODP"
    media_type = "application/vnd.oasis.opendocument.presentation"
    extension = "odp"
    kind = Presentation

    format = OpendocumentPresentationTemplate
    name = "OpenDocument Presentation Template"
    short_name = "OTP"
    media_type = "application/vnd.oasis.opendocument.presentation-template"
    extension = "otp"
    kind = Presentation

    format = OpendocumentSpreadsheet
    name = "OpenDocument Spreadsheet"
    short_name = "ODS"
    media_type = "application/vnd.oasis.opendocument.spreadsheet"
    extension = "ods"
    kind = Spreadsheet

    format = OpendocumentSpreadsheetTemplate
    name = "OpenDocument Spreadsheet Template"
    short_name = "OTS"
    media_type = "application/vnd.oasis.opendocument.spreadsheet-template"
    extension = "ots"
    kind = Spreadsheet

    format = OpendocumentText
    name = "OpenDocument Text"
    short_name = "ODT"
    media_type = "application/vnd.oasis.opendocument.text"
    extension = "odt"
    kind = Document

    format = OpendocumentTextMaster
    name = "OpenDocument Text Master"
    short_name = "ODM"
    media_type = "application/vnd.oasis.opendocument.text-master"
    extension = "odm"
    kind = Document

    format = OpendocumentTextMasterTemplate
    name = "OpenDocument Text Master Template"
    short_name = "OTM"
    media_type = "application/vnd.oasis.opendocument.text-master-template"
    extension = "otm"
    kind = Document

    format = OpendocumentTextTemplate
    name = "OpenDocument Text Template"
    short_name = "OTT"
    media_type = "application/vnd.oasis.opendocument.text-template"
    extension = "ott"
    kind = Document

    format = Openexr
    name = "OpenEXR"
    short_name = "EXR"
    media_type = "image/x-exr"
    extension = "exr"
    kind = Image

    format = Opennurbs
    name = "openNURBS"
    short_name = "3DM"
    media_type = "model/x-3dm"
    extension = "3dm"
    kind = Model

    format = Openraster
    name = "OpenRaster"
    short_name = "ORA"
    media_type = "image/openraster"
    extension = "ora"
    kind = Image

    format = Opentype
    name = "OpenType"
    short_name = "OTF"
    media_type = "font/otf"
    extension = "otf"
    kind = Font

    format = Openxps
    name = "OpenXPS"
    short_name = "OXPS"
    media_type = "application/oxps"
    extension = "xps"
    kind = Document

    format = OptimizedDalvikExecutable
    name = "Optimized Dalvik Executable"
    short_name = "DEY"
    media_type = "application/vnd.android.dey"
    extension = "dey"
    kind = Executable

    format = PanasonicRaw
    name = "Panasonic Raw"
    short_name = "RW2"
    media_type = "image/x-panasonic-rw2"
    extension = "rw2"
    kind = Image

    format = PcapDump
    name = "PCAP Dump"
    short_name = "PCAP"
    media_type = "application/vnd.tcpdump.pcap"
    extension = "pcap"
    kind = Other

    format = PcapNextGenerationDump
    name = "PCAP Next Generation Dump"
    short_name = "PCAPNG"
    media_type = "application/x-pcapng"
    extension = "pcapng"
    kind = Other

    format = PemCertificate
    name = "PEM Certificate"
    short_name = "PEM"
    media_type = "application/x-pem-file"
    extension = "crt"
    kind = Other

    format = PemCertificateSigningRequest
    name = "PEM Certificate Signing Request"
    short_name = "PEM"
    media_type = "application/x-pem-file"
    extension = "csr"
    kind = Other

    format = PemPrivateKey
    name = "PEM Private Key"
    short_name = "PEM"
    media_type = "application/x-pem-file"
    extension = "key"
    kind = Other

    format = PemPublicKey
    name = "PEM Public Key"
    short_name = "PEM"
    media_type = "application/x-pem-file"
    extension = "pub"
    kind = Other

    format = PerlScript
    name = "Perl Script"
    media_type = "text/x-perl"
    extension = "pl"
    kind = Other

    format = PersonalStorageTable
    name = "Personal Storage Table"
    short_name = "PST"
    media_type = "application/vnd.ms-outlook"
    extension = "pst"
    kind = Other

    format = PgpMessage
    name = "PGP Message"
    short_name = "PGP"
    media_type = "application/pgp"
    extension = "asc"
    kind = Other

    format = PgpPrivateKeyBlock
    name = "PGP Private Key Block"
    short_name = "PGP"
    media_type = "application/pgp-keys"
    extension = "asc"
    kind = Other

    format = PgpPublicKeyBlock
    name = "PGP Public Key Block"
    short_name = "PGP"
    media_type = "application/pgp-keys"
    extension = "asc"
    kind = Other

    format = PgpSignature
    name = "PGP Signature"
    short_name = "PGP"
    media_type = "application/pgp-signature"
    extension = "asc"
    kind = Other

    format = PgpSignedMessage
    name = "PGP Signed Message"
    short_name = "PGP"
    media_type = "application/pgp"
    extension = "asc"
    kind = Other

    format = PictureExchange
    name = "Picture Exchange"
    short_name = "PCX"
    media_type = "image/x-pcx"
    extension = "pcx"
    kind = Image

    format = PlainText
    name = "Plain Text"
    short_name = "TXT"
    media_type = "text/plain"
    extension = "txt"
    kind = Other

    format = Pmarc
    name = "PMarc"
    short_name = "PMA"
    media_type = "application/x-lzh-compressed"
    extension = "pma"
    kind = Archive

    format = PolygonAscii
    name = "Polygon ASCII"
    short_name = "PLY"
    media_type = "model/x-ply-ascii"
    extension = "ply"
    kind = Model

    format = PolygonBinary
    name = "Polygon Binary"
    short_name = "PLY"
    media_type = "model/x-ply-binary"
    extension = "ply"
    kind = Model

    format = PortableArbitraryMap
    name = "Portable Arbitrary Map"
    short_name = "PAM"
    media_type = "image/x-portable-arbitrarymap"
    extension = "pam"
    kind = Image

    format = PortableBitmap
    name = "Portable BitMap"
    short_name = "PBM"
    media_type = "image/x-portable-bitmap"
    extension = "pbm"
    kind = Image

    format = PortableDocumentFormat
    name = "Portable Document Format"
    short_name = "PDF"
    media_type = "application/pdf"
    extension = "pdf"
    kind = Document

    format = PortableExecutable
    name = "Portable Executable"
    short_name = "PE"
    media_type = "application/vnd.microsoft.portable-executable"
    extension = "exe"
    kind = Executable

    format = PortableFloatmap
    name = "Portable FloatMap"
    short_name = "PFM"
    media_type = "image/x-pfm"
    extension = "pfm"
    kind = Image

    format = PortableGraymap
    name = "Portable GrayMap"
    short_name = "PGM"
    media_type = "image/x-portable-graymap"
    extension = "pgm"
    kind = Image

    format = PortableNetworkGraphics
    name = "Portable Network Graphics"
    short_name = "PNG"
    media_type = "image/png"
    extension = "png"
    kind = Image

    format = PortablePixmap
    name = "Portable PixMap"
    short_name = "PPM"
    media_type = "image/x-portable-pixmap"
    extension = "ppm"
    kind = Image

    format = Postscript
    name = "PostScript"
    short_name = "PS"
    media_type = "application/postscript"
    extension = "ps"
    kind = Document

    format = PythonScript
    name = "Python Script"
    media_type = "text/x-script.python"
    extension = "py"
    kind = Other

    format = QemuCopyOnWrite
    name = "QEMU Copy On Write"
    short_name = "QCOW"
    media_type = "application/x-qemu-disk"
    extension = "qcow"
    kind = Disk

    format = QualcommPurevoice
    name = "Qualcomm PureVoice"
    short_name = "QCP"
    media_type = "audio/qcelp"
    extension = "qcp"
    kind = Audio

    format = QuiteOkAudio
    name = "Quite OK Audio"
    short_name = "QOA"
    media_type = "audio/x-qoa"
    extension = "qoa"
    kind = Audio

    format = QuiteOkImage
    name = "Quite OK Image"
    short_name = "QOI"
    media_type = "image/x-qoi"
    extension = "qoi"
    kind = Image

    format = RadianceHdr
    name = "Radiance HDR"
    short_name = "HDR"
    media_type = "image/vnd.radiance"
    extension = "hdr"
    kind = Image

    format = Realaudio
    name = "RealAudio"
    short_name = "RA"
    media_type = "audio/x-pn-realaudio"
    extension = "ra"
    kind = Audio

    format = ReallySimpleSyndication
    name = "Really Simple Syndication"
    short_name = "RSS"
    media_type = "application/rss+xml"
    extension = "rss"
    kind = Other

    format = Realmedia
    name = "RealMedia"
    short_name = "RM"
    media_type = "application/vnd.rn-realmedia"
    extension = "rm"
    kind = Other

    format = Realvideo
    name = "RealVideo"
    short_name = "RV"
    media_type = "video/x-pn-realvideo"
    extension = "rv"
    kind = Video

    format = RedHatPackageManager
    name = "Red Hat Package Manager"
    short_name = "RPM"
    media_type = "application/x-rpm"
    extension = "rpm"
    kind = Package

    format = RichTextFormat
    name = "Rich Text Format"
    short_name = "RTF"
    media_type = "application/rtf"
    extension = "rtf"
    kind = Document

    format = RoshalArchive
    name = "Roshal Archive"
    short_name = "RAR"
    media_type = "application/vnd.rar"
    extension = "rar"
    kind = Archive

    format = RubyScript
    name = "Ruby Script"
    media_type = "text/x-ruby"
    extension = "rb"
    kind = Other

    format = Rzip
    name = "rzip"
    short_name = "RZ"
    media_type = "application/x-rzip"
    extension = "rz"
    kind = Compressed

    format = ScalableVectorGraphics
    name = "Scalable Vector Graphics"
    short_name = "SVG"
    media_type = "image/svg+xml"
    extension = "svg"
    kind = Image

    format = ScreamTracker3Module
    name = "Scream Tracker 3 Module"
    short_name = "S3M"
    media_type = "audio/x-s3m"
    extension = "s3m"
    kind = Audio

    format = SegaMasterSystemRom
    name = "Sega Master System ROM"
    short_name = "SMS"
    media_type = "application/x-sms-rom"
    extension = "sms"
    kind = Rom

    format = Seqbox
    name = "SeqBox"
    short_name = "SBX"
    media_type = "application/x-sbx"
    extension = "sbx"
    kind = Archive

    format = SevenZip
    name = "7-Zip"
    short_name = "7Z"
    media_type = "application/x-7z-compressed"
    extension = "7z"
    kind = Archive

    format = Shapefile
    name = "Shapefile"
    short_name = "SHP"
    media_type = "application/x-esri-shape"
    extension = "shp"
    kind = Geospatial

    format = ShellScript
    name = "Shell Script"
    media_type = "text/x-shellscript"
    extension = "sh"
    kind = Other

    format = ShoutcastPlaylist
    name = "SHOUTcast Playlist"
    short_name = "PLS"
    media_type = "audio/x-scpls"
    extension = "pls"
    kind = Playlist

    format = SiliconGraphicsImage
    name = "Silicon Graphics Image"
    short_name = "SGI"
    media_type = "image/x-sgi"
    extension = "sgi"
    kind = Image

    format = SiliconGraphicsMovie
    name = "Silicon Graphics Movie"
    short_name = "SGI"
    media_type = "video/x-sgi-movie"
    extension = "sgi"
    kind = Video

    format = SimpleObjectAccessProtocol
    name = "Simple Object Access Protocol"
    short_name = "SOAP"
    media_type = "application/soap+xml"
    extension = "soap"
    kind = Other

    format = Sketch
    name = "Sketch"
    media_type = "image/x-sketch"
    extension = "sketch"
    kind = Image

    format = Sketch43
    name = "Sketch 43"
    media_type = "image/x-sketch"
    extension = "sketch"
    kind = Image

    format = Sketchup
    name = "SketchUp"
    short_name = "SKP"
    media_type = "application/vnd.sketchup.skp"
    extension = "skp"
    kind = Model

    format = SmallWebFormat
    name = "Small Web Format"
    short_name = "SWF"
    media_type = "application/x-shockwave-flash"
    extension = "swf"
    kind = Other

    format = Snappy
    name = "Snappy"
    media_type = "application/x-snappy-framed"
    extension = "sz"
    kind = Compressed

    format = SolidworksAssembly
    name = "SolidWorks Assembly"
    short_name = "SLDASM"
    media_type = "model/x-sldasm"
    extension = "sldasm"
    kind = Model

    format = SolidworksDrawing
    name = "SolidWorks Drawing"
    short_name = "SLDDRW"
    media_type = "model/x-slddrw"
    extension = "slddrw"
    kind = Model

    format = SolidworksPart
    name = "SolidWorks Part"
    short_name = "SLDPRT"
    media_type = "model/x-sldprt"
    extension = "sldprt"
    kind = Model

    format = SonyDsdStreamFile
    name = "Sony DSD Stream File"
    short_name = "DSF"
    media_type = "audio/x-dsf"
    extension = "dsf"
    kind = Audio

    format = SonyMovie
    name = "Sony Movie"
    short_name = "MQV"
    media_type = "video/quicktime"
    extension = "mqv"
    kind = Video

    format = Soundfont2
    name = "SoundFont 2"
    short_name = "SF2"
    media_type = "audio/x-soundfont"
    extension = "sf2"
    kind = Audio

    format = SpaceclaimDocument
    name = "SpaceClaim Document"
    short_name = "SCDOC"
    media_type = "model/x-scdoc"
    extension = "scdoc"
    kind = Model

    format = Sqlite3
    name = "SQLite 3"
    media_type = "application/vnd.sqlite3"
    extension = "sqlite"
    kind = Database

    format = Squashfs
    name = "Squashfs"
    media_type = "application/x-squashfs"
    extension = "sqsh"
    kind = Archive

    format = StandardForTheExchangeOfProductModelData
    name = "Standard for the Exchange of Product model data"
    short_name = "STEP"
    media_type = "model/step"
    extension = "step"
    kind = Model

    format = Starcalc
    name = "StarCalc"
    short_name = "SDC"
    media_type = "application/vnd.stardivision.calc"
    extension = "sdc"
    kind = Spreadsheet

    format = Starchart
    name = "StarChart"
    short_name = "SDS"
    media_type = "application/vnd.stardivision.chart"
    extension = "sds"
    kind = Diagram

    format = Stardraw
    name = "StarDraw"
    short_name = "SDA"
    media_type = "application/vnd.stardivision.draw"
    extension = "sda"
    kind = Image

    format = Starimpress
    name = "StarImpress"
    short_name = "SDD"
    media_type = "application/vnd.stardivision.impress"
    extension = "sdd"
    kind = Presentation

    format = Starmath
    name = "StarMath"
    short_name = "SMF"
    media_type = "application/vnd.stardivision.math"
    extension = "smf"
    kind = Formula

    format = Starwriter
    name = "StarWriter"
    short_name = "SDW"
    media_type = "application/vnd.stardivision.writer"
    extension = "sdw"
    kind = Document

    format = StereolithographyAscii
    name = "Stereolithography ASCII"
    short_name = "STL"
    media_type = "model/x-stl-ascii"
    extension = "stl"
    kind = Model

    format = Stuffit
    name = "StuffIt"
    short_name = "SIT"
    media_type = "application/x-stuffit"
    extension = "sit"
    kind = Archive

    format = StuffitX
    name = "StuffIt X"
    short_name = "SITX"
    media_type = "application/x-stuffitx"
    extension = "sitx"
    kind = Archive

    format = SubripText
    name = "SubRip Text"
    short_name = "SRT"
    media_type = "application/x-subrip"
    extension = "srt"
    kind = Subtitle

    format = SunXmlCalc
    name = "Sun XML Calc"
    short_name = "SXC"
    media_type = "application/vnd.sun.xml.calc"
    extension = "sxc"
    kind = Spreadsheet

    format = SunXmlCalcTemplate
    name = "Sun XML Calc Template"
    short_name = "STC"
    media_type = "application/vnd.sun.xml.calc.template"
    extension = "stc"
    kind = Spreadsheet

    format = SunXmlDraw
    name = "Sun XML Draw"
    short_name = "SXD"
    media_type = "application/vnd.sun.xml.draw"
    extension = "sxd"
    kind = Image

    format = SunXmlDrawTemplate
    name = "Sun XML Draw Template"
    short_name = "STD"
    media_type = "application/vnd.sun.xml.draw.template"
    extension = "std"
    kind = Image

    format = SunXmlImpress
    name = "Sun XML Impress"
    short_name = "SXI"
    media_type = "application/vnd.sun.xml.impress"
    extension = "sxi"
    kind = Presentation

    format = SunXmlImpressTemplate
    name = "Sun XML Impress Template"
    short_name = "STI"
    media_type = "application/vnd.sun.xml.impress.template"
    extension = "sti"
    kind = Presentation

    format = SunXmlMath
    name = "Sun XML Math"
    short_name = "SXM"
    media_type = "application/vnd.sun.xml.math"
    extension = "sxm"
    kind = Formula

    format = SunXmlWriter
    name = "Sun XML Writer"
    short_name = "SXW"
    media_type = "application/vnd.sun.xml.writer"
    extension = "sxw"
    kind = Document

    format = SunXmlWriterGlobal
    name = "Sun XML Writer Global"
    short_name = "SGW"
    media_type = "application/vnd.sun.xml.writer.global"
    extension = "sgw"
    kind = Document

    format = SunXmlWriterTemplate
    name = "Sun XML Writer Template"
    short_name = "STW"
    media_type = "application/vnd.sun.xml.writer.template"
    extension = "stw"
    kind = Document

    format = TagImageFileFormat
    name = "Tag Image File Format"
    short_name = "TIFF"
    media_type = "image/tiff"
    extension = "tiff"
    kind = Image

    format = TapeArchive
    name = "Tape Archive"
    short_name = "TAR"
    media_type = "application/x-tar"
    extension = "tar"
    kind = Archive

    format = Tasty
    name = "TASTy"
    media_type = "application/x-tasty"
    extension = "tasty"
    kind = Metadata

    format = ThirdGenerationPartnershipProject
    name = "3rd Generation Partnership Project"
    short_name = "3GPP"
    media_type = "video/3gpp"
    extension = "3gp"
    kind = Video

    format = ThirdGenerationPartnershipProject2
    name = "3rd Generation Partnership Project 2"
    short_name = "3GPP2"
    media_type = "video/3gpp2"
    extension = "3g2"
    kind = Video

    format = ThreeDimensionalManufacturingFormat
    name = "3D Manufacturing Format"
    short_name = "3MF"
    media_type = "application/vnd.ms-package.3dmanufacturing-3dmodel+xml"
    extension = "3mf"
    kind = Model

    format = ThreeDimensionalStudio
    name = "3D Studio"
    short_name = "3DS"
    media_type = "application/x-3ds"
    extension = "3ds"
    kind = Model

    format = ThreeDimensionalStudioMax
    name = "3D Studio Max"
    short_name = "MAX"
    media_type = "application/x-max"
    extension = "max"
    kind = Model

    format = TiledMapXml
    name = "Tiled Map XML"
    short_name = "TMX"
    media_type = "application/x-tmx+xml"
    extension = "tmx"
    kind = Other

    format = TiledTilesetXml
    name = "Tiled Tileset XML"
    short_name = "TSX"
    media_type = "application/x-tsx+xml"
    extension = "tsx"
    kind = Other

    format = TimedTextMarkupLanguage
    name = "Timed Text Markup Language"
    short_name = "TTML"
    media_type = "application/ttml+xml"
    extension = "ttml"
    kind = Subtitle

    format = ToolCommandLanguageScript
    name = "Tool Command Language Script"
    short_name = "Tcl Script"
    media_type = "text/x-tcl"
    extension = "tcl"
    kind = Other

    format = TrainingCenterXml
    name = "Training Center XML"
    short_name = "TCX"
    media_type = "application/vnd.garmin.tcx+xml"
    extension = "tcx"
    kind = Geospatial

    format = Truetype
    name = "TrueType"
    short_name = "TTF"
    media_type = "font/ttf"
    extension = "ttf"
    kind = Font

    format = UltimateSoundtrackerModule
    name = "Ultimate Soundtracker Module"
    short_name = "MOD"
    media_type = "audio/x-mod"
    extension = "mod"
    kind = Audio

    format = UniformOfficeFormatPresentation
    name = "Uniform Office Format Presentation"
    short_name = "UOP"
    media_type = "application/vnd.uof.presentation"
    extension = "uop"
    kind = Presentation

    format = UniformOfficeFormatSpreadsheet
    name = "Uniform Office Format Spreadsheet"
    short_name = "UOS"
    media_type = "application/vnd.uof.spreadsheet"
    extension = "uos"
    kind = Spreadsheet

    format = UniformOfficeFormatText
    name = "Uniform Office Format Text"
    short_name = "UOT"
    media_type = "application/vnd.uof.text"
    extension = "uot"
    kind = Document

    format = Universal3d
    name = "Universal 3D"
    short_name = "U3D"
    media_type = "model/u3d"
    extension = "u3d"
    kind = Model

    format = UniversalSceneDescriptionAscii
    name = "Universal Scene Description ASCII"
    short_name = "USDA"
    media_type = "model/x-usd"
    extension = "usda"
    kind = Model

    format = UniversalSceneDescriptionBinary
    name = "Universal Scene Description Binary"
    short_name = "USDC"
    media_type = "model/x-usd"
    extension = "usdc"
    kind = Model

    format = UniversalSceneDescriptionZip
    name = "Universal Scene Description ZIP"
    short_name = "USDZ"
    media_type = "model/vnd.usdz+zip"
    extension = "usdz"
    kind = Model

    format = UniversalSubtitleFormat
    name = "Universal Subtitle Format"
    short_name = "USF"
    media_type = "application/x-usf"
    extension = "usf"
    kind = Subtitle

    format = UnixArchiver
    name = "UNIX archiver"
    short_name = "archiver"
    media_type = "application/x-archive"
    extension = "a"
    kind = Archive

    format = UnixCompress
    name = "UNIX compress"
    short_name = "compress"
    media_type = "application/x-compress"
    extension = "Z"
    kind = Compressed

    format = Vcalendar
    name = "vCalendar"
    short_name = "VCS"
    media_type = "text/calendar"
    extension = "vcs"
    kind = Other

    format = Vcard
    name = "vCard"
    short_name = "VCF"
    media_type = "text/vcard"
    extension = "vcf"
    kind = Other

    format = VirtualMachineDisk
    name = "Virtual Machine Disk"
    short_name = "VMDK"
    media_type = "application/x-vmdk"
    extension = "vmdk"
    kind = Disk

    format = VirtualRealityModelingLanguage
    name = "Virtual Reality Modeling Language"
    short_name = "VRML"
    media_type = "model/vrml"
    extension = "wrl"
    kind = Model

    format = VirtualboxVirtualDiskImage
    name = "VirtualBox Virtual Disk Image"
    short_name = "VDI"
    media_type = "application/x-virtualbox-vdi"
    extension = "vdi"
    kind = Disk

    format = WaveformAudio
    name = "Waveform Audio"
    short_name = "WAV"
    media_type = "audio/vnd.wave"
    extension = "wav"
    kind = Audio

    format = Wavpack
    name = "WavPack"
    short_name = "WV"
    media_type = "audio/wavpack"
    extension = "wv"
    kind = Audio

    format = WebApplicationArchive
    name = "Web Application Archive"
    short_name = "WAR"
    media_type = "application/java-archive"
    extension = "war"
    kind = Package

    format = WebOpenFontFormat
    name = "Web Open Font Format"
    short_name = "WOFF"
    media_type = "font/woff"
    extension = "woff"
    kind = Font

    format = WebOpenFontFormat2
    name = "Web Open Font Format 2"
    short_name = "WOFF2"
    media_type = "font/woff2"
    extension = "woff2"
    kind = Font

    format = WebVideoTextTracks
    name = "Web Video Text Tracks"
    short_name = "WebVTT"
    media_type = "text/vtt"
    extension = "vtt"
    kind = Subtitle

    format = WebassemblyBinary
    name = "WebAssembly Binary"
    short_name = "Wasm"
    media_type = "application/wasm"
    extension = "wasm"
    kind = Executable

    format = WebassemblyText
    name = "WebAssembly Text"
    short_name = "WAT"
    media_type = "text/wasm"
    extension = "wat"
    kind = Other

    format = Webm
    name = "WebM"
    media_type = "video/webm"
    extension = "webm"
    kind = Video

    format = Webp
    name = "WebP"
    media_type = "image/webp"
    extension = "webp"
    kind = Image

    format = WindowsAnimatedCursor
    name = "Windows Animated Cursor"
    short_name = "ANI"
    media_type = "application/x-navi-animation"
    extension = "ani"
    kind = Image

    format = WindowsAppBundle
    name = "Windows App Bundle"
    short_name = "APPXBUNDLE"
    media_type = "application/vnd.ms-appx.bundle"
    extension = "appxbundle"
    kind = Package

    format = WindowsAppPackage
    name = "Windows App Package"
    short_name = "APPX"
    media_type = "application/vnd.ms-appx"
    extension = "appx"
    kind = Package

    format = WindowsBitmap
    name = "Windows Bitmap"
    short_name = "BMP"
    media_type = "image/bmp"
    extension = "bmp"
    kind = Image

    format = WindowsCursor
    name = "Windows Cursor"
    short_name = "CUR"
    media_type = "image/x-icon"
    extension = "cur"
    kind = Image

    format = WindowsIcon
    name = "Windows Icon"
    short_name = "ICO"
    media_type = "image/x-icon"
    extension = "ico"
    kind = Image

    format = WindowsImagingFormat
    name = "Windows Imaging Format"
    short_name = "WIM"
    media_type = "application/x-ms-wim"
    extension = "wim"
    kind = Archive

    format = WindowsMediaAudio
    name = "Windows Media Audio"
    short_name = "WMA"
    media_type = "audio/x-ms-wma"
    extension = "wma"
    kind = Audio

    format = WindowsMediaPlaylist
    name = "Windows Media Playlist"
    short_name = "WPL"
    media_type = "application/vnd.ms-wpl"
    extension = "wpl"
    kind = Playlist

    format = WindowsMediaVideo
    name = "Windows Media Video"
    short_name = "WMV"
    media_type = "video/x-ms-wmv"
    extension = "wmv"
    kind = Video

    format = WindowsMetafile
    name = "Windows Metafile"
    short_name = "WMF"
    media_type = "image/wmf"
    extension = "wmf"
    kind = Image

    format = WindowsRecordedTvShow
    name = "Windows Recorded TV Show"
    short_name = "WTV"
    media_type = "video/x-wtv"
    extension = "wtv"
    kind = Video

    format = WindowsShortcut
    name = "Windows Shortcut"
    short_name = "LNK"
    media_type = "application/x-ms-shortcut"
    extension = "lnk"
    kind = Metadata

    format = WordperfectDocument
    name = "WordPerfect Document"
    short_name = "WPD"
    media_type = "application/vnd.wordperfect"
    extension = "wpd"
    kind = Document

    format = WordperfectGraphics
    name = "WordPerfect Graphics"
    short_name = "WPG"
    media_type = "application/vnd.wordperfect"
    extension = "wpg"
    kind = Image

    format = WordperfectMacro
    name = "WordPerfect Macro"
    short_name = "WPM"
    media_type = "application/vnd.wordperfect"
    extension = "wpm"
    kind = Other

    format = WordperfectPresentations
    name = "WordPerfect Presentations"
    short_name = "SHW"
    media_type = "application/vnd.wordperfect"
    extension = "shw"
    kind = Presentation

    format = XPixmap
    name = "X PixMap"
    short_name = "XPM"
    media_type = "image/x-xpixmap"
    extension = "xpm"
    kind = Image

    format = Xap
    name = "XAP"
    media_type = "application/x-silverlight-app"
    extension = "xap"
    kind = Package

    format = Xbox360Executable
    name = "Xbox 360 Executable"
    short_name = "XEX"
    media_type = "application/x-xbox360-executable"
    extension = "xex"
    kind = Executable

    format = XboxExecutable
    name = "Xbox Executable"
    short_name = "XBE"
    media_type = "application/x-xbox-executable"
    extension = "xbe"
    kind = Executable

    format = XmlLocalizationInterchangeFileFormat
    name = "XML Localization Interchange File Format"
    short_name = "XLIFF"
    media_type = "application/xliff+xml"
    extension = "xlf"
    kind = Other

    format = XmlShareablePlaylistFormat
    name = "XML Shareable Playlist Format"
    short_name = "XSPF"
    media_type = "application/xspf+xml"
    extension = "xspf"
    kind = Playlist

    format = Xpinstall
    name = "XPInstall"
    short_name = "XPI"
    media_type = "application/x-xpinstall"
    extension = "xpi"
    kind = Package

    format = Xz
    name = "XZ"
    media_type = "application/x-xz"
    extension = "xz"
    kind = Compressed

    format = Zip
    name = "ZIP"
    media_type = "application/zip"
    extension = "zip"
    kind = Archive

    format = Zoo
    name = "zoo"
    media_type = "application/x-zoo"
    extension = "zoo"
    kind = Archive

    format = Zpaq
    name = "ZPAQ"
    media_type = "application/x-zpaq"
    extension = "zpaq"
    kind = Archive

    format = Zstandard
    name = "Zstandard"
    short_name = "zstd"
    media_type = "application/zstd"
    extension = "zst"
    kind = Compressed
}
